Skip to main content
Partner will receive events on their configured server URL. These webhooks are POST requests originating from our server. Authorization headers will also be sent so the partner can authenticate that the request was created by the original web server only. Merchants will configure this URL in the panel to start receiving webhook events. For documentation and reading purposes, https://configuredURLFromBroker.com URL is used. But, in the production environment, the configured URL of the partner will be used. Callback Response Partners should respond to the callback with a JSON response {"ack": true} and an HTTP status code 200. No other response body or HTTP status code will be treated as the acknowledgement of the callback.
If the merchant fails to send the response, we will send the callback again. The maximum number of attempts by us will be 3. If the partner fails to acknowledge the callback in three attempts, then there will be no subsequent callback. The partner can resend the callback from the partner dashboard as well.
Signature Verification We use the same method to create the signature that is used in the authorization headers.

POST Session

{{callbackURL}} This webhook event is sent to the configured partner URL when the session has a status change. Session status can be CREATED , STARTED, CLOSED, EXPIRED, FAILED. HEADERS Body raw
Example Request curl

POST Transaction

{{callbackURL}} This webhook event is sent to the configured partner URL when the transaction has a status change. Session status can be PENDING, PROCESSING, SUCCESS, FAILED. HEADERS Body raw
Example Request curl

POST Subscription

{{callbackURL}} This webhook event is sent to the configured partner URL when the subscription has a status change. Subscription status can be PENDING, PENDING_EXPIRED, TRIAL, ACTIVE, PAUSED, EXPIRED, CANCELLED, FAILED. HEADERS Body raw (json) json
Example Request Curl

POST Invoice

{{callbackURL}} This webhook is sent to the configured partner URL when an invoice is created or the status is changed. Invoice status can be DRAFT APPROVED DUE OVERDUE PAID UNPAID CANCELLED VOID HEADERS Body raw (json) json
Example Request Curl

POST Credit Note

{{callbackURL}} This webhook is sent to the configured partner URL when a credit note is created. Credit Note status can only be APPROVED HEADERS Body raw (json)

POST Refund

{{callbackURL}} This webhook is sent to the configured partner URL when a refund is initiated or the status is changed. HEADERS Body raw (json)
Example Request curl

POST File Download

{{callbackURL}} This webhook is sent to the configured partner URL when a refund is initiated or the status is changed. HEADERS Body raw (json)
Example Request curl
File Download INVOICE

POST Chargeback

This webhook is sent to the configured partner URL when a chargeback is initiated or the status is changed. HEADERS Body raw (json) json
Example Request curl
Chargeback Pending

POST Mandate

This webhook is sent to the configured partner URL when a mandate status is changed. HEADERS Body raw (json) json
Example Request curl

POST Coupon Apply/verify

This API endpoint is used to verify whether a coupon is allowed and how to apply it. When a customer enters a coupon code on the checkout page, this API endpoint will be used to validate the coupon code. Coupons are of three types: LIMITED_PERIOD, ONETIME, and FOREVER. They can be used to give a discount based on a percentage or a fixed amount. Please check examples for the same. For percentage-based discountPcnt is required, for fixed amount-based discountQuoteAmount is required. Also for the limited period-based coupons, period and periodUnit both are required. This webhook is sent to the configured partner URL when a mandate status is changed. HEADERS Body raw (json)
Example Request
curl
Example Response
Body

POST Recurring Dep

This webhook is sent to the configured partner URL when a transaction created for the auto-debit to pay a due invoice has moved to a terminal state from the bank. HEADERS Body raw (json) json
Example Request Curl

POST PACB Verification

{{callbackURL}} This webhook is sent to the configured partner URL when a transaction created for the auto-debit to pay a due invoice has moved to a terminal state from the bank. HEADERS Body raw (json) json
Example Request curl

POST KYC Verification

{{callbackURL}} HEADERS Body raw (json) json